# Interface EventFunctions<TEventData>

#### Type Parameters

- #### TEventData extends EventData

#### Hierarchy

- EventFunctions

#### Implemented by

- BaseEmitter
- Events

- Defined in modules/packages/module/packages/events/dist/types/model/Event.d.ts:10

#####
Index

### Properties

eventData

### Methods

clearListeners
emit
emitSerial
listenerCount
off
offAny
on
onAny
once

## Properties

### eventData

eventData: TEventData

- Defined in modules/packages/module/packages/events/dist/types/model/Event.d.ts:11

## Methods

### clearListeners

- clearListeners(eventNames): void

- #### Parameters

  - ##### eventNames: keyof TEventData | (keyof TEventData)[]

  #### Returns void

  - Defined in modules/packages/module/packages/events/dist/types/model/Event.d.ts:12

### emit

- emit<TEventName>(eventName, eventArgs): Promise<void>

- #### Type Parameters

  - #### TEventName extends string | number | symbol

  #### Parameters

  - ##### eventName: TEventName

  - ##### eventArgs: TEventData[TEventName]

  #### Returns Promise<void>

  - Defined in modules/packages/module/packages/events/dist/types/model/Event.d.ts:13

### emitSerial

- emitSerial<TEventName>(eventName, eventArgs): Promise<void>

- #### Type Parameters

  - #### TEventName extends string | number | symbol

  #### Parameters

  - ##### eventName: TEventName

  - ##### eventArgs: TEventData[TEventName]

  #### Returns Promise<void>

  - Defined in modules/packages/module/packages/events/dist/types/model/Event.d.ts:14

### listenerCount

- listenerCount(eventNames): number

- #### Parameters

  - ##### eventNames: keyof TEventData | (keyof TEventData)[]

  #### Returns number

  - Defined in modules/packages/module/packages/events/dist/types/model/Event.d.ts:15

### off

- off<TEventName>(eventNames, listener): void

- #### Type Parameters

  - #### TEventName extends string | number | symbol

  #### Parameters

  - ##### eventNames: TEventName | TEventName[]

  - ##### listener: EventListener<TEventData[TEventName]>

  #### Returns void

  - Defined in modules/packages/module/packages/events/dist/types/model/Event.d.ts:16

### offAny

- offAny(listener): void

- #### Parameters

  - ##### listener: Promise<void> | EventAnyListener<EventArgs>

  #### Returns void

  - Defined in modules/packages/module/packages/events/dist/types/model/Event.d.ts:17

### on

- on<TEventName>(eventNames, listener): EventUnsubscribeFunction

- #### Type Parameters

  - #### TEventName extends string | number | symbol

  #### Parameters

  - ##### eventNames: TEventName | TEventName[]

  - ##### listener: EventListener<TEventData[TEventName]>

  #### Returns EventUnsubscribeFunction

  - Defined in modules/packages/module/packages/events/dist/types/model/Event.d.ts:18

### onAny

- onAny(listener): EventUnsubscribeFunction

- #### Parameters

  - ##### listener: EventAnyListener<EventArgs>

  #### Returns EventUnsubscribeFunction

  - Defined in modules/packages/module/packages/events/dist/types/model/Event.d.ts:19

### once

- once<TEventName>(eventName, listener): EventUnsubscribeFunction

- #### Type Parameters

  - #### TEventName extends string | number | symbol

  #### Parameters

  - ##### eventName: TEventName

  - ##### listener: EventListener<TEventData[TEventName]>

  #### Returns EventUnsubscribeFunction

  - Defined in modules/packages/module/packages/events/dist/types/model/Event.d.ts:20

Generated using TypeDoc